package database

import (
  "log"
  "time"
  "gorm.io/driver/postgres"
  "gorm.io/gorm"
)

func Test() {
  dsn := ""
  db, err := gorm.Open(postgres.Open(dsn))
  log.Printf("Database: %s, %s", db, err)

  db.AutoMigrate(&Application{})
  db.AutoMigrate(&SensorType{})
  db.AutoMigrate(&Sensor{})
  db.AutoMigrate(&Measurement{})

  n := time.Now()
  m := Measurement { Time: n, Application: "bla", SensorType: "bla", Sensor: "bla", Variable: "bla", Unit: "bla", Value: 1.0 }
  db.Create(&m)
  m = Measurement { Time: n, Application: "bla", SensorType: "bla", Sensor: "bla", Variable: "bla", Unit: "bla", Value: 1.0 }
  db.Create(&m)


}

